Debian Bug report logs - #362925
gdm failed to launch /usr/X11R6/bin/X; moved to /usr/bin/X

version graph

Package: gdm; Maintainer for gdm is Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>;

Reported by: Nick Lewycky <nicholas@mxc.ca>

Date: Sun, 16 Apr 2006 14:03:37 UTC

Severity: normal

Merged with 363160

Found in version gdm/2.13.0.10-2

Fixed in version gdm/2.16.1-1

Done: Ryan Murray <rmurray@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Ryan Murray <rmurray@debian.org>:
Bug#362925; Package gdm. Full text and rfc822 format available.

Acknowledgement sent to Nick Lewycky <nicholas@mxc.ca>:
New Bug report received and forwarded. Copy sent to Ryan Murray <rmurray@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Nick Lewycky <nicholas@mxc.ca>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: gdm failed to launch /usr/X11R6/bin/X; moved to /usr/bin/X
Date: Sun, 16 Apr 2006 10:02:13 -0400
Package: gdm
Version: 2.13.0.10-2
Severity: normal

Hi. GDM wouldn't load this morning. From /var/log/gdm/:0.log, it's trying to
run /usr/X11R6/bin/X.

  GDM: Xserver not found: /usr/X11R6/bin/X :0 -dpi 96 -audit 0 -auth /var/lib/gdm/
  :0.Xauth -nolisten tcp vt7
  Error: Command could not be executed!
  Please install the X server or correct GDM configuration and restart GDM.

The path to my X server isn't specified in the config file. Running
strings over GDM suggests that it has a hardcoded default:

  daemon/StandardXServer=/usr/X11R6/bin/X

There's also a similar reference to Xnest being in /usr/X11R6/bin.
Please note that with the new X.org 7.0 in unstable, /usr/X11R6/bin/
should now be entirely empty and that the programs X and Xnest have
moved to /usr/bin. Source: http://wiki.debian.org/Xorg69To7

Thanks,
Nick Lewycky

-- System Information:
Debian Release: testing/unstable
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'testing'), (1, 'experimental')
Architecture: i386 (x86_64)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.15.6
Locale: LANG=en_CA, LC_CTYPE=en_CA (charmap=ISO-8859-1)

Versions of packages gdm depends on:
ii  adduser              3.85                Add and remove users and groups
ii  debconf [debconf-2.0 1.4.72              Debian configuration management sy
ii  gksu                 1.3.7-1             graphical frontend to su
ii  gnome-session        2.14.0-2            The GNOME 2 Session Manager
ii  gnome-terminal [x-te 2.14.0-1            The GNOME 2 terminal emulator appl
ii  konsole [x-terminal- 4:3.5.2-1           X terminal emulator for KDE
ii  libart-2.0-2         2.3.17-1            Library of functions for 2D graphi
ii  libatk1.0-0          1.11.4-1            The ATK accessibility toolkit
ii  libattr1             2.4.32-1            Extended attribute shared library
ii  libc6                2.3.6-7             GNU C Library: Shared libraries
ii  libcairo2            1.0.4-1+b1          The Cairo 2D vector graphics libra
ii  libdmx1              1:1.0.1-2           X11 Distributed Multihead extensio
ii  libfontconfig1       2.3.2-5.1           generic font configuration library
ii  libglade2-0          1:2.5.1-2           library to load .glade files at ru
ii  libglib2.0-0         2.10.2-1            The GLib library of C routines
ii  libgnomecanvas2-0    2.14.0-1            A powerful object-oriented display
ii  libgtk2.0-0          2.8.17-1            The GTK+ graphical user interface 
ii  libpam-modules       0.79-3.1            Pluggable Authentication Modules f
ii  libpam-runtime       0.79-3.1            Runtime support for the PAM librar
ii  libpam0g             0.79-3.1            Pluggable Authentication Modules l
ii  libpango1.0-0        1.12.1-2            Layout and rendering of internatio
ii  libpopt0             1.7-5               lib for parsing cmdline parameters
ii  librsvg2-2           2.14.2-1            SAX-based renderer library for SVG
ii  librsvg2-common      2.14.2-1            SAX-based renderer library for SVG
ii  libselinux1          1.30-1              SELinux shared libraries
ii  libwrap0             7.6.dbs-9           Wietse Venema's TCP wrappers libra
ii  libx11-6             2:1.0.0-6           X11 client-side library
ii  libxau6              1:1.0.0-2           X11 authorisation library
ii  libxcursor1          1.1.5.2-3           X cursor management library
ii  libxdmcp6            1:1.0.0-3           X11 Display Manager Control Protoc
ii  libxext6             1:1.0.0-3           X11 miscellaneous extension librar
ii  libxi6               1:1.0.0-3           X11 Input extension library
ii  libxinerama1         1:1.0.1-2           X11 Xinerama extension library
ii  libxml2              2.6.23.dfsg.2-3     GNOME XML library
ii  libxrandr2           2:1.1.0.2-3         X11 RandR extension library
ii  libxrender1          1:0.9.0.2-3         X Rendering Extension client libra
ii  lsb-base             3.1-3               Linux Standard Base 3.1 init scrip
ii  metacity [x-window-m 1:2.14.1-1          A lightweight GTK2 based Window Ma
ii  sawfish [x-window-ma 1:1.3+cvs20050709-6 a window manager for X11
ii  twm [x-window-manage 1:1.0.1-3           Tab window manager
ii  xbase-clients        1:7.0.0-3           miscellaneous X clients
ii  xfwm4 [x-window-mana 4.2.3.2-2           window manager of the Xfce project
ii  xterm [x-terminal-em 210-3               X terminal emulator
ii  zlib1g               1:1.2.3-11          compression library - runtime

Versions of packages gdm recommends:
ii  dialog                    1.0-20060221-1 Displays user-friendly dialog boxe
ii  gdm-themes                0.5            Themes for the GNOME Display Manag
ii  zenity                    2.14.0-1       Display graphical dialog boxes fro

-- debconf information:
  gdm/daemon_name: /usr/bin/gdm
* shared/default-x-display-manager: gdm



Information forwarded to debian-bugs-dist@lists.debian.org, Ryan Murray <rmurray@debian.org>:
Bug#362925; Package gdm. Full text and rfc822 format available.

Acknowledgement sent to Andrew Lewycky <andrew@wagon.dyn.dhs.org>:
Extra info received and forwarded to list. Copy sent to Ryan Murray <rmurray@debian.org>. Full text and rfc822 format available.

Message #10 received at 362925@bugs.debian.org (full text, mbox):

From: Andrew Lewycky <andrew@wagon.dyn.dhs.org>
To: 362925@bugs.debian.org
Subject: gdm failed to launch /usr/X11R6/bin/X; moved to /usr/bin/X
Date: Sun, 16 Apr 2006 22:42:34 -0400
gdm is using the server path from [server-Standard]
in /usr/share/gdm/defaults.conf. Adding an updated [server-Standard]
section to /etc/gdm/gdm.conf fixes the problem. There are a few
occurences of the old path in defaults.conf
-- 
Andrew Lewycky <andrew@wagon.dyn.dhs.org>




Information forwarded to debian-bugs-dist@lists.debian.org, Ryan Murray <rmurray@debian.org>:
Bug#362925; Package gdm. Full text and rfc822 format available.

Acknowledgement sent to "christmasboy_81@juno.com" <christmasboy_81@juno.com>:
Extra info received and forwarded to list. Copy sent to Ryan Murray <rmurray@debian.org>. Full text and rfc822 format available.

Message #15 received at 362925@bugs.debian.org (full text, mbox):

From: "christmasboy_81@juno.com" <christmasboy_81@juno.com>
To: 362925@bugs.debian.org
Subject: gdm.conf configuration
Date: Mon, 17 Apr 2006 04:02:12 GMT
Subject: X location configurable by gdmsetup
Followup-For: Bug #362925
Package: gdm
Version: 2.13.0.10-2

*** Please type your report below this line ***

This is would be a lot easier if bug 358939 was fixed.

I made the following additions to my gdm.conf based on gdmsetup. Of course, the command= is probably the only line necessary.

[server-Standard]
name=Standard server
command=/usr/bin/X -dpi 96 -audit 0
chooser=false
handled=true
flexible=true
priority=0


-- System Information:
Debian Release: testing/unstable
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.16-1-686
Locale: LANG=C, LC_CTYPE=C (charmap=ANSI_X3.4-1968)

Versions of packages gdm depends on:
ii  adduser                  3.86            Add and remove users and groups
ii  blackbox [x-window-manag 0.70.1-1.1      Window manager for X
ii  debconf [debconf-2.0]    1.4.72          Debian configuration management sy
ii  gksu                     1.3.7-1         graphical frontend to su
ii  gnome-session            2.14.0-2        The GNOME 2 Session Manager
ii  gnome-terminal [x-termin 2.14.0-1        The GNOME 2 terminal emulator appl
ii  konsole [x-terminal-emul 4:3.5.2-1       X terminal emulator for KDE
ii  libart-2.0-2             2.3.17-1        Library of functions for 2D graphi
ii  libatk1.0-0              1.11.4-1        The ATK accessibility toolkit
ii  libattr1                 2.4.32-1        Extended attribute shared library
ii  libc6                    2.3.6-7         GNU C Library: Shared libraries
ii  libcairo2                1.0.4-1+b1      The Cairo 2D vector graphics libra
ii  libdmx1                  1:1.0.1-2       X11 Distributed Multihead extensio
ii  libfontconfig1           2.3.2-5.1       generic font configuration library
ii  libglade2-0              1:2.5.1-2       library to load .glade files at ru
ii  libglib2.0-0             2.10.2-1        The GLib library of C routines
ii  libgnomecanvas2-0        2.14.0-1        A powerful object-oriented display
ii  libgtk2.0-0              2.8.17-1        The GTK+ graphical user interface 
ii  libpam-modules           0.79-3.1        Pluggable Authentication Modules f
ii  libpam-runtime           0.79-3.1        Runtime support for the PAM librar
ii  libpam0g                 0.79-3.1        Pluggable Authentication Modules l
ii  libpango1.0-0            1.12.1-2        Layout and rendering of internatio
ii  libpopt0                 1.7-5           lib for parsing cmdline parameters
ii  librsvg2-2               2.14.2-1        SAX-based renderer library for SVG
ii  librsvg2-common          2.14.2-1        SAX-based renderer library for SVG
ii  libselinux1              1.30-1          SELinux shared libraries
ii  libwrap0                 7.6.dbs-9       Wietse Venema's TCP wrappers libra
ii  libx11-6                 2:1.0.0-6       X11 client-side library
ii  libxau6                  1:1.0.0-2       X11 authorisation library
ii  libxcursor1              1.1.5.2-3       X cursor management library
ii  libxdmcp6                1:1.0.0-3       X11 Display Manager Control Protoc
ii  libxext6                 1:1.0.0-3       X11 miscellaneous extension librar
ii  libxi6                   1:1.0.0-3       X11 Input extension library
ii  libxinerama1             1:1.0.1-2       X11 Xinerama extension library
ii  libxml2                  2.6.23.dfsg.2-3 GNOME XML library
ii  libxrandr2               2:1.1.0.2-3     X11 RandR extension library
ii  libxrender1              1:0.9.0.2-3     X Rendering Extension client libra
ii  lsb-base                 3.1-3           Linux Standard Base 3.1 init scrip
ii  metacity [x-window-manag 1:2.14.1-1      A lightweight GTK2 based Window Ma
ii  twm [x-window-manager]   1:1.0.1-3       Tab window manager
ii  xbase-clients            1:7.0.0-4       miscellaneous X clients
ii  xterm [x-terminal-emulat 210-3           X terminal emulator
ii  zlib1g                   1:1.2.3-11      compression library - runtime

Versions of packages gdm recommends:
ii  dialog                    1.0-20060221-1 Displays user-friendly dialog boxe
ii  gdm-themes                0.5            Themes for the GNOME Display Manag
ii  whiptail                  0.52.2-4       Displays user-friendly dialog boxe
ii  zenity                    2.14.0-1       Display graphical dialog boxes fro

-- debconf information:
  gdm/daemon_name: /usr/bin/gdm
* shared/default-x-display-manager: gdm




Merged 362925 363160. Request was from Ryan Murray <rmurray@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Tags added: pending Request was from Ryan Murray <rmurray@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Ryan Murray <rmurray@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Nick Lewycky <nicholas@mxc.ca>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #24 received at 362925-close@bugs.debian.org (full text, mbox):

From: Ryan Murray <rmurray@debian.org>
To: 362925-close@bugs.debian.org
Subject: Bug#362925: fixed in gdm 2.16.1-1
Date: Sun, 29 Oct 2006 22:32:14 -0800
Source: gdm
Source-Version: 2.16.1-1

We believe that the bug you reported is fixed in the latest version of
gdm, which is due to be installed in the Debian FTP archive:

gdm_2.16.1-1.diff.gz
  to pool/main/g/gdm/gdm_2.16.1-1.diff.gz
gdm_2.16.1-1.dsc
  to pool/main/g/gdm/gdm_2.16.1-1.dsc
gdm_2.16.1-1_i386.deb
  to pool/main/g/gdm/gdm_2.16.1-1_i386.deb
gdm_2.16.1.orig.tar.gz
  to pool/main/g/gdm/gdm_2.16.1.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 362925@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Ryan Murray <rmurray@debian.org> (supplier of updated gdm package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Sun, 29 Oct 2006 22:02:36 -0800
Source: gdm
Binary: gdm
Architecture: source i386
Version: 2.16.1-1
Distribution: unstable
Urgency: high
Maintainer: Ryan Murray <rmurray@debian.org>
Changed-By: Ryan Murray <rmurray@debian.org>
Description: 
 gdm        - GNOME Display Manager
Closes: 240991 288286 291187 308825 339965 350940 362925 367232 372949 375281 377934 379198 382698 387043 389466 390414 392611 394881 395003
Changes: 
 gdm (2.16.1-1) unstable; urgency=high
 .
   * New upstream release
     + Fixes CVE-2006-2452 (closes: #375281)
     + Failsafe session no longer made default (closes: #382698)
     + Typo fixed in fr.po (closes: #392611)
     + multiple login dialog updated (closes: #395003)
     + SuspendCommand works (closes: #367232)
     + gdmsetup image screen scrolling works (closes: #288286)
   * Fix typo in fr.po (closes: #372949)
   * Set RelaxPermissions=1 by default (closes: #339965)
   * Don't close all descriptors before starting the slave. (closes: #308825)
   * Parse /etc/default/locale in gdm pam files, for now (closes: #389466)
   * Set console to utf-8 if needed in XKeepsCrashing (closes: #387043)
   * Remove OK and Cancel buttons from included themes (closes: #377934)
   * Add debian-moreblue theme from
     http://cdd.debian-br.org/~si0ux/artwork/debian/gdm/gdm-theme-debian-moreblue.tar.gz
   * Temporarily raise to Depends on gdm-themes, and make the debblue theme
     default for now (closes: #350940)
   * Add /var/lib/menu-xdg/xsessions to SessionDir (closes: #240991)
   * add acpid to Should-Start line of init.d script (closes: #390414)
   * Sync debconf templates against xdm 1.0.5-1
   * Sync locale.conf against locales 2.3.6.ds1-7
   * Stop installing factory-defaults.conf (closes: #394881)
   * Hide stderr from cat in init script, create /etc/X11/default-display-manager
     when the package is installed with tasksel (closes: #379198)
   * Hardcode StandardXServer to /usr/bin/X (closes: #362925)
   * Start gdm at S21 instead of S99 (closes: #291187)
Files: 
 d7a00ff3307cb384e2ed628910ed82aa 783 gnome optional gdm_2.16.1-1.dsc
 a2e68fac4763f1cf1050eeb19accb43f 4878838 gnome optional gdm_2.16.1.orig.tar.gz
 3025ca755c69b5ec801354d0f0458fc5 321935 gnome optional gdm_2.16.1-1.diff.gz
 11625612a577c2b1d55a9240b6991563 3992492 gnome optional gdm_2.16.1-1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.5 (GNU/Linux)

iD8DBQFFRZrDN2Dbz/1mRasRAuioAJ9QxFrX+ZEulg556C7QCNV8/DwfHACg3U8a
Lk0MtuTYTfmIfd0Sdy4JomY=
=4u2z
-----END PGP SIGNATURE-----




Reply sent to Ryan Murray <rmurray@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Laurent CARON <lcaron@unix-scripts.info>:
Bug acknowledged by developer. Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 24 Jun 2007 23:17:34 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 10:54:12 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.